/***
 * FractalGUI: a graphical tool to edit Fractal component configurations.
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@objectweb.org
 *
 * Authors: Eric Bruneton, Patrice Fauvel
 */

package org.objectweb.fractal.gui.dialog.view;

/**
 * An interface to be notified of events emited by a dialog view component.
 */

public interface DialogViewListener {

  /**
   * Notifies this listener that the "add client interface" button has been
   * clicked.
   */

  void addClientInterfaceButtonClicked ();

  /**
   * Notifies this listener that the "remove client interface" button has been
   * clicked.
   */

  void removeClientInterfaceButtonClicked ();

  /**
   * Notifies this listener that the "add server interface" button has been
   * clicked.
   */

  void addServerInterfaceButtonClicked ();

  /**
   * Notifies this listener that the "remove server interface" button has been
   * clicked.
   */

  void removeServerInterfaceButtonClicked ();

  /**
   * Notifies this listener that the "add attribute" button has been clicked.
   */

  void addAttributeButtonClicked ();

  /**
   * Notifies this listener that the "remove attribute" button has been
   * clicked.
   */

  void removeAttributeButtonClicked ();
}
