/***
 * FractalGUI: a graphical tool to edit Fractal component configurations.
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@objectweb.org
 *
 * Authors: Eric Bruneton, Patrice Fauvel
 */

package org.objectweb.fractal.gui.graph.model;

import org.objectweb.fractal.gui.model.Component;

import java.awt.Color;

/**
 * An interface to be notified of changes in a {@link GraphModel graph} model.
 */

public interface GraphModelListener {

  /**
   * TODO javadoc.
   *
   * @param component
   * @param oldColor
   */
  
  void componentColorChanged (Component component, Color oldColor);

  /**
   * Notifies this listener that the coordinates of a component have changed.
   *
   * @param component the component whose coordinates have changed.
   * @param oldValue the old coordinates of this component.
   */

  void componentPositionChanged (Component component, Rect oldValue);
}
